# Interface SignOnlySigner<N, C>

#### Type Parameters

- #### N extends Network

- #### C extends Chain

#### Hierarchy

- SignerBase<C>
  - SignOnlySigner

- Defined in core/definitions/dist/esm/signer.d.ts:10

#####
Index

### Methods

address
chain
sign

## Methods

### address

- address(): string

- #### Returns string

  Inherited from SignerBase.address

  - Defined in core/definitions/dist/esm/signer.d.ts:8

### chain

- chain(): C

- #### Returns C

  Inherited from SignerBase.chain

  - Defined in core/definitions/dist/esm/signer.d.ts:7

### sign

- sign(tx): Promise<any[]>

- #### Parameters

  - ##### tx: UnsignedTransaction<N, C>[]

  #### Returns Promise<any[]>

  - Defined in core/definitions/dist/esm/signer.d.ts:11

Generated using TypeDoc